#### D.12.6.13 symmfunc

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  symmfunc(s); s list

Return:
  list: the symmetric functions of the roots of a polynomial, given the power sums of those roots.

Example:

    LIB "rootsmr.lib";
    ring r = 0,x,dp;
    poly p = (x-1)*(x-2)*(x-3);
    list psums = list(1+2+3,1+4+9,1+8+27);
    list l = symmfunc(psums);
    l;
    ==> [1]:
    ==>    1
    ==> [2]:
    ==> -6
    ==> [3]:
    ==> 11
    ==> [4]:
    ==> -6
    p; // Compare p with the elements of l
    ==> x3-6x2+11x-6

See also: powersums.

User manual for Singular version 4.4.1, 2025, generated by texi2html.